BTRFSD(8)

NAME
btrfsd - Btrfs maintenance daemon

SYNOPSIS

btrfsd [COMMAND]

DESCRIPTION

This manual page documents briefly the btrfsd daemon.

Btrfsd is a lightweight daemon that takes care of all Btrfs filesystems on a Linux system. It will:

    • Check stats for errors and broadcast a warning if any were found, or send an email

    • Perform scrub periodically if system is not on battery

    • Run balance occasionally if not on battery power

The daemon is explicitly designed to be run on any system, from a small notebook to a large storage server. Depending on the system, it should make the best possible decision for running maintenance jobs, but may also be tweaked by the user.

CONFIGURATION

The daemon will run on its own, without any configuration, and monitor all Btrfs filesystems mounted on the system (or do nothing if none were found). However, the user may tweak some settings via its configuration file: /etc/btrfsd/settings.conf

The configuration file is an Ini-style text file, with one section per Btrfs mount point. If no section for a mountpoint with settings was found, the values from the default section are used.

Every *_interval maintenance action interval may contain an integer time value with a unit character behind it: h for hours, d for days and M for months. The special value never will prevent the action from being executed. Going below an hour for actions is not recommended, as btrfsd is only woken up hourly by the system to check for pending actions.

Example:

    [default]
    mail_address=root

    stats_interval=1h
    scrub_interval=1M
    balance_interval=3M

    [/mnt/storage1]
    scrub_interval=2M
    balance_interval=never

COMMAND-LINE OPTIONS

--verbose
    Display extra debugging information.

--version
    Display the version number of btrfsd.

--status
    Display the status of the daemon and its various tasks, as well as its configuration.

SEE ALSO

btrfs(1).

AUTHOR

This manual page was written by Matthias Klumpp <matthias@tenstral.net>.

COPYRIGHT
Copyright © 2022-2023 Matthias Klumpp